Summary:	PulseAudio volume control for the Xfce panel
Summary(de):	PulseAudio-Lautstärkeregler für das Xfce-Panel
Name:		xfce4-pulseaudio-plugin
Version:	0.2.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/0.2/%{name}-%{version}.tar.xz 
BuildRequires:	xfce4-panel-devel >= 4.12.0 
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel 
BuildRequires:	xfconf-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	gtk+3-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
Requires:	xfce4-panel
Requires:	pavucontrol
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
The Xfce PulseAudio Plugin is a plugin for the Xfce panel which provides a
convenient way to adjust the audio volume of the [PulseAudio sound system][1]
and to an auto mixer tool like pavucontrol. It can optionally handle
multimedia keys for controlling the audio volume.

[1]: http://www.freedesktop.org/wiki/Software/PulseAudio/ "PulseAudio Website"

#german
%description -l de
Das Xfce PulseAudio Plugin ist eine Erweiterung für die Xfce-Leiste, welche einen 
geeigneten Weg zum Regeln der Audiolautstärke des [PulseAudio Sound Systems][1] bietet, 
ebenfalls ist der Zugriff auf einen automatischen Mixer wie pavucontrol möglich.
Optional können auch Multimediatasten zum Einstellen der Lautstärke genutzt werden.

[1]: http://www.freedesktop.org/wiki/Software/PulseAudio/ "PulseAudio Website"

%prep

%setup -q

./autogen.sh --prefix=/usr --enable-maintainer-mode

%build
%configure2_5x --enable-maintainer-mode
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS COPYING
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.*
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_iconsdir}/hicolor/*/status/audio-volume-*-symbolic.svg


%changelog
* Tue Dec 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.4-1pclos2015
- 0.2.4

* Sat May 16 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.3-1pclos2015
- 0.2.3

* Fri Apr 10 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.2-1pclos2015
- 0.2.2

* Wed Mar 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.1-1pclos2015
- 0.2.1

* Sun Mar 08 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2015
- initial import for PCLOS
